Status: Resolved Priority: Should have
Author: Robert Lemke Category: Http
Created: 2013-08-01 Assigned To: Robert Lemke
Updated: 2013-09-03 Due date:
PHP Version: 5.4
Has patch: No
Complexity:
Subject: Allow arbitrary HTTP request methods
Description

Currently HTTP\Request checks if the provided method is in a list of standard-compliant request methods ("GET", "POST", "PUT"
etc.).

There are, however, web services which require their own, custom request methods, like for example "COPY". Therefore remove this
check in Http\Request.

Associated revisions
Revision 575a2843 - 2013-08-15 16:44 - Robert Lemke 

[FEATURE] Allow arbitrary request methods in HTTP\Request

This patch removes a check in the HTTP Request class which
previously disallowed custom HTTP request methods such as "COPY".

Change-Id: I7a6694a71b739aba93e86d0c00c09c6eeedaf09f
Releases: master
Resolves: #50637

Revision 1b756e93 - 2013-09-03 12:31 - Robert Lemke 

[FEATURE] Allow arbitrary request methods in HTTP\Request

This patch removes a check in the HTTP Request class which
previously disallowed custom HTTP request methods such as "COPY".

Change-Id: I7a6694a71b739aba93e86d0c00c09c6eeedaf09f
Releases: master
Resolves: #50637

History
#1 - 2013-08-15 17:35 - Anonymous
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:575a2843ef094357ffe73b46dbdd4ad3abc1c34e.
#2 - 2013-08-27 11:53 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23354

#3 - 2013-08-27 12:07 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23354

#4 - 2013-09-03 12:31 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23354

#5 - 2013-09-03 12:35 - Anonymous
- Status changed from Under Review to Resolved

Applied in changeset commit:1b756e93cc136bf28d8a7360cb1facf28de78487.
